export function addOutputListener(analogId, outputName, callback, eventListenerOptions = {}) {
    const observer = new MutationObserver((mutations) => {
        var _a;
        const foundTarget = (_a = mutations.find((mutation) => { var _a; return ((_a = mutation.target.dataset) === null || _a === void 0 ? void 0 : _a['analogId']) === analogId; })) === null || _a === void 0 ? void 0 : _a.target;
        if (foundTarget) {
            foundTarget.addEventListener(outputName, callback, eventListenerOptions);
            observer.disconnect();
        }
    });
    observer.observe(document.body, { attributes: true, subtree: true });
    return () => observer.disconnect();
}
//# sourceMappingURL=utils.js.map